Name:			redhat-support-plugin-rhev
Version:		3.2.0
Release:		11%{?release_suffix}%{?dist}
Summary:		Plugin for Red Hat Enterprise Virtualization

Group:			Development/Libraries
License:		ASL 2.0
URL:			http://www.ovirt.org
BuildArch:		noarch
Source0: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/redhat-support-plugin-rhev-3.2.0-scm-sources.zip
Source1: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/redhat-support-plugin-rhev-3.2.0.war
Source2: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/redhat-support-plugin-rhev-3.2.0.pom

Requires: rhevm >= 3.2
Requires: rhevm < 3.3
Requires: usermode

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The Red Hat Support Plugin is a support 
plugin for Red Hat Enterprise Virtualizaton

%prep
# We build RHEV-M in the MEAD environment, and that means that the
# sources are archived with root based on repository name

%setup -q -T -b 0 -n redhat-support-plugin-rhev

%build

%install
rm -rf %{buildroot}

# ovirt-engine owns the following folders, but we need them for later steps
install -d %{buildroot}/usr/share/ovirt-engine/engine.ear
install -d %{buildroot}/etc/ovirt-engine/

# We need the following directories for the ovirt-sosreport wrapper
install -d %{buildroot}/etc/security/console.apps
install -d %{buildroot}/etc/pam.d
install -d %{buildroot}/usr/bin
install -d %{buildroot}/usr/sbin

echo "Skipping artifact"
mkdir %{buildroot}/usr/share/ovirt-engine/engine.ear/redhat-support-plugin-rhev-3.2.0.war
unzip -d %{buildroot}/usr/share/ovirt-engine/engine.ear/redhat-support-plugin-rhev-3.2.0.war %{SOURCE1}
find %{buildroot}/usr/share/ovirt-engine/engine.ear/redhat-support-plugin-rhev-3.2.0.war -type d -exec chmod 755 {} +
install -D %{SOURCE1} %{buildroot}/usr/share/ovirt-engine/engine.ear/redhat-support-plugin-rhev-3.2.0.war 
echo "Skipping artifact"

pushd %{buildroot}/usr/share/ovirt-engine/engine.ear
ln -s redhat-support-plugin-rhev-3.2.0.war redhat-support-plugin-rhev.war
popd

# Copy these two files that are required for the plugin
cp -r ui-plugins %{buildroot}/usr/share/ovirt-engine/ui-plugins
install -m 644 redhatsupportplugin.conf %{buildroot}/etc/ovirt-engine/

# Install ovirt-sosreport wrapper.
install -m 755 utils/ovirt-sosreport-wrapper %{buildroot}/usr/sbin/ovirt-sosreport-wrapper
install -m 644 utils/ovirt-sosreport.pam %{buildroot}/etc/pam.d/ovirt-sosreport
install -m 644 utils/ovirt-sosreport.console-apps %{buildroot}/etc/security/console.apps/ovirt-sosreport
ln -s /usr/bin/consolehelper %{buildroot}/usr/bin/ovirt-sosreport

%files
%defattr(-,ovirt,ovirt,-)
%dir /usr/share/ovirt-engine/engine.ear/redhat-support-plugin-rhev.war
/usr/share/ovirt-engine/engine.ear/*
%dir /usr/share/ovirt-engine/ui-plugins/redhat_support_plugin_rhev
/usr/share/ovirt-engine/ui-plugins*
%config(noreplace) /etc/ovirt-engine/redhatsupportplugin.conf
%defattr(-,root,root,-) 
%config(noreplace) /etc/pam.d/ovirt-sosreport
%config(noreplace) /etc/security/console.apps/ovirt-sosreport
/usr/bin/ovirt-sosreport
/usr/sbin/ovirt-sosreport-wrapper
%doc LICENSE

%posttrans
# Formerly %post, ensures that the redeploy isn't done until the very end of install/upgrade processes
if ! grep -q '<web-uri>redhat-support-plugin-rhev.war</web-uri>'  /usr/share/ovirt-engine/engine.ear/META-INF/application.xml; then
	sed -i '/<\/application>/i \
	<!-- START Red Hat Support Plug-in DO NOT REMOVE THIS COMMENT --> \
	<module> \
	<web> \
	<web-uri>redhat-support-plugin-rhev.war<\/web-uri> \
	<context-root>\/redhat-support-plugin-rhev<\/context-root> \
	<\/web> \
	<\/module> \
	<!-- END Red Hat Support Plug-in DO NOT REMOVE THIS COMMENT -->' /usr/share/ovirt-engine/engine.ear/META-INF/application.xml
fi

# RHEV Support Plugin installed - tell JBoss that we want engine.ear redeployed to action it.
if [ -d /var/lib/ovirt-engine/deployments ] ; then
	touch /var/lib/ovirt-engine/deployments/engine.ear.dodeploy
fi


%postun
# If this is an actual un-install, fix application.xml and redeploy ovirt-engine.
if [ $1 -eq 0 ] ; then
	sed  -i '/<!-- START Red Hat Support Plug-in DO NOT REMOVE THIS COMMENT -->/,/<!-- END Red Hat Support Plug-in DO NOT REMOVE THIS COMMENT -->/d' /usr/share/ovirt-engine/engine.ear/META-INF/application.xml

	# RHEV Support Plugin uninstalled - redeploy engine.ear so references are removed
	if [ -d /var/lib/ovirt-engine/deployments ] ; then
		touch /var/lib/ovirt-engine/deployments/engine.ear.dodeploy
	fi
fi

%triggerin -- rhevm
if ! grep -q '<web-uri>redhat-support-plugin-rhev.war</web-uri>'  /usr/share/ovirt-engine/engine.ear/META-INF/application.xml; then
	sed -i '/<\/application>/i \
	<!-- START Red Hat Support Plug-in DO NOT REMOVE THIS COMMENT --> \
	<module> \
	<web> \
	<web-uri>redhat-support-plugin-rhev.war<\/web-uri> \
	<context-root>\/redhat-support-plugin-rhev<\/context-root> \
	<\/web> \
	<\/module> \
	<!-- END Red Hat Support Plug-in DO NOT REMOVE THIS COMMENT -->' /usr/share/ovirt-engine/engine.ear/META-INF/application.xml
fi

# RHEV Support Plugin installed - tell JBoss that we want engine.ear redeployed to action it.
if [ -d /var/lib/ovirt-engine/deployments ] ; then
	touch /var/lib/ovirt-engine/deployments/engine.ear.dodeploy
fi


%changelog
* Tue Aug 06 2013 Spenser Shumaker <sshumake@redhat.com> - 3.2.0-11.el6ev
- Add RPM Trigger to update application.xml
- Resolves: rhbz#990597

* Tue Aug 06 2013 Spenser Shumaker <sshumake@redhat.com> - 3.2.0-10.el6ev
- Add RPM Trigger to update application.xml
- Resolves: rhbz#990597

* Tue Jul 30 2013 Spenser Shumaker <sshumake@redhat.com> - 3.2.0-9.el6ev
- Add RPM Trigger to update application.xml
- Resolves: rhbz#990597

* Thu Jul 15 2013 Spenser Shumaker <sshumake@redhat.com> - 3.2.0-8.el6ev
- Resolves: rhbz#974753

* Thu Jul 11 2013 Spenser Shumaker <sshumake@redhat.com> - 3.2.0-7.el6ev
- Resolves: rhbz#974753

* Thu Jul 11 2013 Spenser Shumaker <sshumake@redhat.com> - 3.2.0-6.el6ev
- Resolves: rhbz#974753

* Fri Jun 28 2013 Spenser Shumaker <sshumake@redhat.com> - 3.2.0-5.el6ev
- Resolves: rhbz#974753

* Thu Jun 20 2013 Spenser Shumaker <sshumake@redhat.com> - 3.2.0-4.el6ev
- Resolves: rhbz#974753

* Mon Jun 17 2013 Spenser Shumaker <sshumake@redhat.com> - 3.2.0-3.el6ev
- Resolves: 974753

* Tue Jun 13 2013 Spenser Shumaker <sshumake@redhat.com> - 3.2.0-2.el6ev
- Resolves: 912865

* Tue Jun 13 2013 Spenser Shumaker <sshumake@redhat.com> - 3.2.0-1.el6ev
- Resolves: 912865

* Mon May 6 2013 Nigel Jones <nigjones@redhat.com> - 1.0.5-1
- Includes Spenser's latest changes for sosreport generation

* Wed Apr 24 2013 Nigel Jones <nigjones@redhat.com> - 1.0.4-1
- Update build, including stack panel sizing fix and ovirt-sosreport wrapper

* Wed Apr 10 2013 Spenser Shumaker <sshumake@redhat.com> - 1.0.0-0
- Initial build
